Skip to content

Respond to specified menu

POST
/v1/BookingMenu/BookingMenusExternal/Respond
curl --request POST \
--url https://rms.dev.caspeco.net/api/booking/v1/BookingMenu/BookingMenusExternal/Respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'system: example' \
--data '[ { "name": "example", "publicId": "example", "groups": [ { "groupType": 0, "name": "example", "choices": 1, "items": [ { "name": "example", "description": "example", "articleID": 1, "quantity": 1, "price": 1, "vatPercent": 1, "time": "2026-04-15T12:00:00Z", "webFlags": 0, "inactivatedUntil": "2026-04-15T12:00:00Z", "sortOrder": 1 } ], "optional": true, "isCollapsed": true } ], "status": 0, "message": "example", "chargeType": 0, "elevatedRespond": true, "disableAllConfirmationMessages": true } ]'
system
required
string

The system name / database to query

Media typeapplication/json
Array<object>
object
name
string
nullable
publicId
string
nullable
groups
Array<object>
nullable
object
groupType
integer
Allowed values: 0 1 2 3 4 5 6 7 8
name
string
nullable
choices
integer format: int32
items
Array<object>
nullable
object
name
string
nullable
description
string
nullable
articleID
integer format: int32
quantity
integer format: int32
price
number format: decimal
vatPercent
number format: decimal
nullable
time
string format: date-time
nullable
webFlags
integer
Allowed values: 0 1 2
inactivatedUntil
string format: date-time
sortOrder
integer format: int32
optional
boolean
isCollapsed
boolean
status
integer
Allowed values: 0 1 2
message
string
nullable
chargeType
integer
Allowed values: 0 1 2 3 4 5
elevatedRespond
boolean
disableAllConfirmationMessages
boolean

Theresponded booking menu

Media typeapplication/json
Array<object>
object
name
string
nullable
publicId
string
nullable
groups
Array<object>
nullable
object
groupType
integer
Allowed values: 0 1 2 3 4 5 6 7 8
name
string
nullable
choices
integer format: int32
items
Array<object>
nullable
object
name
string
nullable
description
string
nullable
articleID
integer format: int32
quantity
integer format: int32
price
number format: decimal
vatPercent
number format: decimal
nullable
time
string format: date-time
nullable
webFlags
integer
Allowed values: 0 1 2
inactivatedUntil
string format: date-time
sortOrder
integer format: int32
optional
boolean
isCollapsed
boolean
status
integer
Allowed values: 0 1 2
message
string
nullable
chargeType
integer
Allowed values: 0 1 2 3 4 5
elevatedRespond
boolean
disableAllConfirmationMessages
boolean
Example
[
{
"groups": [
{
"groupType": 0,
"items": [
{
"webFlags": 0
}
]
}
],
"status": 0,
"chargeType": 0
}
]